Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserType

Direct Known Subclasses:
  `TdApi.UserTypeBot`, `TdApi.UserTypeDeleted`, `TdApi.UserTypeRegular`, `TdApi.UserTypeUnknown`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.UserType extends TdApi.Object permits TdApi.UserTypeRegular, TdApi.UserTypeDeleted, TdApi.UserTypeBot, TdApi.UserTypeUnknown
This class is an abstract base class. Represents the type of a user. The following types are possible: regular users, deleted users and bots.

## Constructor Summary

Constructors
Constructor
Description
`UserType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserType

public UserType()
Default class constructor.